org.apache.ignite.internal.util.typedef

## Class T6<V1,V2,V3,V4,V5,V6>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridTuple6<V1,V2,V3,V4,V5,V6>
  - - org.apache.ignite.internal.util.typedef.T6<V1,V2,V3,V4,V5,V6>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>

    public class T6<V1,V2,V3,V4,V5,V6>
    extends GridTuple6<V1,V2,V3,V4,V5,V6>

Defines `alias` for `GridTuple6` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridTuple6`.

See Also:
  `GridFunc`, `GridTuple`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`T6()` Empty constructor required by `Externalizable`.
`T6(V1 v1, V2 v2, V3 v3, V4 v4, V5 v5, V6 v6)` Fully initializes this tuple.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridTuple6

`clone, equals, get1, get2, get3, get4, get5, get6, hashCode, iterator, readExternal, set, set1, set2, set3, set4, set5, set6, toString, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### T6

    public T6()

Empty constructor required by `Externalizable`.

#### T6

    public T6(V1 v1,
              V2 v2,
              V3 v3,
              V4 v4,
              V5 v5,
              V6 v6)

Fully initializes this tuple.

Parameters:
  `v1` - First value.
  `v2` - Second value.
  `v3` - Third value.
  `v4` - Forth value.
  `v5` - Fifth value.
  `v6` - Sixth value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019